// -----------------------------------------------------
// example file for producing valid scilab data for
// import into Klippel Scanning System 1.3
//
// Copyright by Klippel GmbH, Dresden, Germany 2011
// -----------------------------------------------------
// -----------------------------------------------------
// define required import constants
%SCN_FILE_VERSION = 1.1;
%SCN_COORDINATE_SYSTEM = "polar";
// -----------------------------------------------------
// define geometry matrix:
// first column = point number
// second column = radius in [mm]
// third column = angle in [rad]
// fourth column = height in [mm]
//
// outer radius = 20mm
// regular polar grid with 17 points
geometry=[
1 0 0 0;
2 10 0 2;
3 10 1/4*%pi 2;
4 10 2/4*%pi 2;
5 10 3/4*%pi 2;
6 10 4/4*%pi 2;
7 10 5/4*%pi 2;
8 10 6/4*%pi 2;
9 10 7/4*%pi 2;
10 20 0 3;
11 20 1/4*%pi 3;
12 20 2/4*%pi 3;
13 20 3/4*%pi 3;
14 20 4/4*%pi 3;
15 20 5/4*%pi 3;
16 20 6/4*%pi 3;
17 20 7/4*%pi 3];
// -----------------------------------------------------
// define three frequencies
frequency = [100;200;400];
// -----------------------------------------------------
// define displacement amplitude:
// for each point specified in geometry array
// for each frequency
// amplitude given in dB [mm / V]
amplitude=[
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44;
-20 -32 -44];
// -----------------------------------------------------
// define displacement phase:
// for each point specified in geometry array
// for each frequency
// phase given in [rad]
phase=[
0 0 0;
0 0 0;
0 1/4*%pi 1/4*%pi;
0 1/2*%pi 2/4*%pi;
0 1/4*%pi 3/4*%pi;
0 0 4/4*%pi;
0 7/4*%pi 5/4*%pi;
0 3/2*%pi 6/4*%pi;
0 7/4*%pi 7/4*%pi;
0 0 0;
0 1/4*%pi 1/4*%pi;
0 1/2*%pi 2/4*%pi;
0 1/4*%pi 3/4*%pi;
0 0 4/4*%pi;
0 7/4*%pi 5/4*%pi;
0 3/2*%pi 6/4*%pi;
0 7/4*%pi 7/4*%pi];

// uncomment to compact data
//exec(CreateCompressedFile);


